Index: test/edu/ucsb/nceas/metacat/dataone/D1NodeServiceTest.java
===================================================================
--- test/edu/ucsb/nceas/metacat/dataone/D1NodeServiceTest.java	(revision 7621)
+++ test/edu/ucsb/nceas/metacat/dataone/D1NodeServiceTest.java	(revision 7622)
@@ -32,7 +32,7 @@
 import java.util.Date;
 import java.util.List;
 
-import org.apache.wicket.protocol.http.MockHttpServletRequest;
+import org.apache.wicket.protocol.http.mock.MockHttpServletRequest;
 import org.dataone.client.CNode;
 import org.dataone.client.D1Client;
 import org.dataone.client.ObjectFormatCache;
Index: test/edu/ucsb/nceas/metacat/dataone/hazelcast/HazelcastServiceTest.java
===================================================================
--- test/edu/ucsb/nceas/metacat/dataone/hazelcast/HazelcastServiceTest.java	(revision 7621)
+++ test/edu/ucsb/nceas/metacat/dataone/hazelcast/HazelcastServiceTest.java	(revision 7622)
@@ -33,7 +33,7 @@
 import junit.framework.Test;
 import junit.framework.TestSuite;
 
-import org.apache.wicket.protocol.http.MockHttpServletRequest;
+import org.apache.wicket.protocol.http.mock.MockHttpServletRequest;
 import org.dataone.service.types.v1.Identifier;
 import org.dataone.service.types.v1.Session;
 import org.dataone.service.types.v1.SystemMetadata;
Index: src/edu/ucsb/nceas/metacat/dataone/DOIService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/DOIService.java	(revision 7621)
+++ src/edu/ucsb/nceas/metacat/dataone/DOIService.java	(revision 7622)
@@ -28,7 +28,7 @@
 import java.util.HashMap;
 
 import org.apache.log4j.Logger;
-import org.apache.wicket.protocol.http.MockHttpServletRequest;
+import org.apache.wicket.protocol.http.mock.MockHttpServletRequest;
 import org.dataone.client.D1Client;
 import org.dataone.service.exceptions.InvalidRequest;
 import org.dataone.service.exceptions.InvalidToken;
Index: src/edu/ucsb/nceas/metacat/dataone/SystemMetadataFactory.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/SystemMetadataFactory.java	(revision 7621)
+++ src/edu/ucsb/nceas/metacat/dataone/SystemMetadataFactory.java	(revision 7622)
@@ -48,7 +48,7 @@
 import org.apache.commons.beanutils.BeanUtils;
 import org.apache.commons.io.IOUtils;
 import org.apache.log4j.Logger;
-import org.apache.wicket.protocol.http.MockHttpServletRequest;
+import org.apache.wicket.protocol.http.mock.MockHttpServletRequest;
 import org.dataone.client.ObjectFormatCache;
 import org.dataone.eml.DataoneEMLParser;
 import org.dataone.eml.EMLDocument;
Index: src/edu/ucsb/nceas/metacat/oaipmh/provider/server/OAIHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/oaipmh/provider/server/OAIHandler.java	(revision 7621)
+++ src/edu/ucsb/nceas/metacat/oaipmh/provider/server/OAIHandler.java	(revision 7622)
@@ -325,7 +325,7 @@
     if (!"true".equals(serviceUnavailable)) {
       attributes.put("OAIHandler.version", VERSION);
       AbstractCatalog metacatCatalog = 
-                       AbstractCatalog.factory(properties, getServletContext());
+                       AbstractCatalog.factory(properties);
       attributes.put("OAIHandler.catalog", metacatCatalog);
     }
     
Index: src/edu/ucsb/nceas/metacat/admin/upgrade/RemoveInvalidReplicas.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/upgrade/RemoveInvalidReplicas.java	(revision 7621)
+++ src/edu/ucsb/nceas/metacat/admin/upgrade/RemoveInvalidReplicas.java	(revision 7622)
@@ -37,7 +37,7 @@
 
 import org.apache.commons.logging.Log;
 import org.apache.commons.logging.LogFactory;
-import org.apache.wicket.protocol.http.MockHttpServletRequest;
+import org.apache.wicket.protocol.http.mock.MockHttpServletRequest;
 import org.dataone.service.types.v1.Event;
 import org.dataone.service.types.v1.Identifier;
 import org.dataone.service.types.v1.Session;
